/*
 * include/asm-arm/arch-ep93xx/memmap.h
 *
 * Copyright (C) 2009 Atmark Techno, Inc. All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ASM_ARCH_EP93XX_MEMMAP_H__
#define __ASM_ARCH_EP93XX_MEMMAP_H__

#if defined(CONFIG_MACH_ARMADILLO9) || defined(CONFIG_MACH_ARMADILLO210) || defined(CONFIG_MACH_ARMADILLO220) || defined(CONFIG_MACH_ARMADILLO230) || defined(CONFIG_MACH_ARMADILLO240)
#define CS0_BASE_ADDR        0x00000000
#define CS1_BASE_ADDR        0x10000000
#define CS2_BASE_ADDR        0x20000000
#define CS3_BASE_ADDR        0x30000000
#define CS6_BASE_ADDR        0x60000000
#define CS7_BASE_ADDR        0x70000000

#define NOR_BASE_ADDR        (CS6_BASE_ADDR)
#  if defined(CONFIG_MACH_ARMADILLO210)
#    define NOR_SIZE         0x00400000
#  else
#    define NOR_SIZE         0x00800000
#  endif

#  if defined(CONFIG_MACH_ARMADILLO220) || defined(CONFIG_MACH_ARMADILLO230) || defined(CONFIG_MACH_ARMADILLO240)
#    define   NAND_BASE_ADDR   (CS3_BASE_ADDR)
#    define   NAND_SIZE        0x10000000
#  endif /* defined(CONFIG_MACH_ARMADILLO220) || defined(CONFIG_MACH_ARMADILLO230) || defined(CONFIG_MACH_ARMADILLO240) */
#endif /* defined(CONFIG_MACH_ARMADILLO9) || defined(CONFIG_MACH_ARMADILLO210) || defined(CONFIG_MACH_ARMADILLO220) || defined(CONFIG_MACH_ARMADILLO230) || defined(CONFIG_MACH_ARMADILLO240) */

#endif /* __ASM_ARCH_EP93XX_MEMMAP_H__ */
